import request from '@/utils/request'

// 创建
export function createCurrency(data) {
  return request({
    url: '/ecw/currency/create',
    method: 'post',
    data: data
  })
}

// 更新
export function updateCurrency(data) {
  return request({
    url: '/ecw/currency/update',
    method: 'put',
    data: data
  })
}

// 更新
export function updateCurrencyStatus(data) {
  return request({
    url: '/ecw/currency/updateStatus',
    method: 'put',
    data: data
  })
}

// 删除
export function deleteCurrency(id) {
  return request({
    url: '/ecw/currency/delete?id=' + id,
    method: 'delete'
  })
}

// 获得
export function getCurrency(id) {
  return request({
    url: '/ecw/currency/get?id=' + id,
    method: 'get'
  })
}

// 获得分页
export function getCurrencyPage(query) {
  return request({
    url: '/ecw/currency/page',
    method: 'get',
    params: query
  })
}

// 导出 Excel
export function exportCurrencyExcel(query) {
  return request({
    url: '/ecw/currency/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
